<mat-card (click)="navigateToEvent()">
  <div class="post-date">
    {{post?.postedDate | date: "HH:mm, dd.MM.y"}}
  </div>
  <div [ngClass]="post.postStatus.toLowerCase()">{{post.postStatus}}</div>
  <mat-card-header>
    <mat-card-title class="text-oneline">{{post.title}}</mat-card-title>
    <mat-card-subtitle>Linie:
      <span *ngFor="let line of post.linesBlocked; let isLast=last"><a
        href="#">{{line}}</a>{{isLast ? '' : ', '}}</span>
      <div class="post-item">Autor: <a [routerLink]="'/user/' + post?.authorUsername">{{post?.authorUsername}}</a>
      </div>
    </mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image [src]="photoURL" *ngIf="photoURL">
  <img mat-card-image src="assets/no-photo.png" *ngIf="!photoURL">
  <mat-card-content>
    <div class="post-ratings">
      <div class="post-rating">
        {{post.likes}}
        <mat-icon>thumb_up</mat-icon>
      </div>
      <div class="post-rating">
        {{post.dislikes}}
        <mat-icon>thumb_down</mat-icon>
      </div>
    </div>
    <div class="post-comments-number">
      <mat-icon>comment</mat-icon>
      {{post.numberOfComments}}
    </div>
  </mat-card-content>
</mat-card>
